Page MenuHomePhabricator

Document to run composer with `--no-dev`
Closed, ResolvedPublic

Description

Per the parent task, T180231, we should make sure we document thoroughly to run composer with --no-dev for production type sites

This covers both mw.org and mediawiki core as appropriate

Event Timeline

Reedy created this task.Nov 10 2017, 2:16 PM
Reedy created this object with visibility "Custom Policy".
Restricted Application added a project: Documentation. · View Herald TranscriptNov 10 2017, 2:16 PM
Reedy added a subscriber: Hutchy68.Nov 10 2017, 2:35 PM
Reedy updated the task description. (Show Details)Nov 10 2017, 7:15 PM
Krinkle closed this task as Resolved.Nov 11 2017, 5:24 AM
Krinkle claimed this task.
Krinkle reassigned this task from Krinkle to Reedy.
Krinkle added a subscriber: Krinkle.
Legoktm reopened this task as Open.Nov 11 2017, 5:30 AM
Legoktm added a subscriber: Legoktm.

This isn't fixed yet - we still need to review mw.o documentation. https://www.mediawiki.org/wiki/Composer and https://www.mediawiki.org/wiki/Composer/For_extensions at least make no mention of --no-dev.

Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".Nov 15 2017, 12:05 AM
Bawolff closed this task as Resolved.Nov 29 2017, 7:24 PM
Bawolff added a subscriber: Bawolff.

Fixed